# Interface MultipointJson

Contains an array of points, along with a spatial reference field. See https://developers.arcgis.com/web-map-specification/objects/multipoint_geometry/ https://developers.arcgis.com/web-scene-specification/objects/multipoint_geometry/.

interface MultipointJson {
hasM?: boolean;
hasZ?: boolean;
points: number[][];
spatialReference?: SpatialReferenceJson;
}

#### Hierarchy (view full)

- GeometryJsonBase
  - MultipointJson

#####
Index

### Properties

hasM?
hasZ?
points
spatialReference?

##
Properties

### `Optional` hasM

hasM?: boolean

Indicates whether the geometry contains M coordinate values.

### `Optional` hasZ

hasZ?: boolean

Indicates whether the geometry contains Z coordinate values.

### points

points: number[][]

An array that corresponds to 2D and 3D points.

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

The spatial reference can be defined using a well-known ID (WKID) or well-known text (WKT).

Inherited from GeometryJsonBase.spatialReference